[ARVADOS-DEV] updated: 7b3296a9decf3443b47b386a399aecb5b996c3fa
git at public.curoverse.com
git at public.curoverse.com
Fri Oct 31 20:35:59 EDT 2014
Summary of changes:
jenkins/run-docker-tests.sh | 37 ++++++++++++++++++++++++++++++-------
1 file changed, 30 insertions(+), 7 deletions(-)
via 7b3296a9decf3443b47b386a399aecb5b996c3fa (commit)
from e71be8357f42713487c158be2493cd245963deb2 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 7b3296a9decf3443b47b386a399aecb5b996c3fa
Author: Ward Vandewege <ward at curoverse.com>
Date: Fri Oct 31 20:35:30 2014 -0400
Upload our docker images to the docker.io registry.
refs #4383
diff --git a/jenkins/run-docker-tests.sh b/jenkins/run-docker-tests.sh
index 9a3e566..8fbf562 100755
--- a/jenkins/run-docker-tests.sh
+++ b/jenkins/run-docker-tests.sh
@@ -8,6 +8,17 @@ title () {
printf "\n%*s\n\n" $(((${#title}+$COLUMNS)/2)) "********** $1 **********"
}
+docker_push () {
+ docker push $*
+
+ ECODE=$?
+
+ if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! docker push $* failed !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+ fi
+}
+
echo $WORKSPACE
# DOCKER
@@ -34,6 +45,21 @@ fi
title "docker build complete"
+title "uploading images"
+
+if [[ "$ECODE" == "0" ]]; then
+ docker_push arvados/api
+ docker_push arvados/compute
+ docker_push arvados/doc
+ docker_push arvados/workbench
+ docker_push arvados/keep
+ docker_push arvados/shell
+else
+ title "upload arvados images SKIPPED because build failed"
+fi
+
+title "upload arvados images complete"
+
title "Starting docker java-bwa-samtools build"
./build.sh java-bwa-samtools-image
@@ -49,13 +75,10 @@ title "docker build java-bwa-samtools complete"
title "upload arvados/jobs image"
-docker push arvados/jobs
-
-ECODE=$?
-
-if [[ "$ECODE" != "0" ]]; then
- title "!!!!!! upload arvados/jobs FAILED !!!!!!"
- EXITCODE=$(($EXITCODE + $ECODE))
+if [[ "$ECODE" == "0" ]]; then
+ docker_push arvados/jobs
+else
+ title "upload arvados/jobs image SKIPPED because build failed"
fi
title "upload arvados/jobs image complete"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list